For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orders History

Get futures order history on PointPay Exchange.

Details

GET https://api.pointpay.io/fapi/v1/private/trade/orders-history

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

Query Parameters

Name
Type
Description
Example

symbol

STRING

Trading pair

BTCUSDT

settleCoin

STRING

Settlement coin

USDT

orderId

STRING

Order ID

1736254849204

orderLinkId

STRING

Client order ID

client-order-1

limit*

NUMERIC

Number of records to return. Range: 1 to 50

20

cursor

STRING

Cursor for paginated results

next-page-token

orderStatus

STRING

Order status filter

Filled

startTime

NUMERIC

Start time in milliseconds

1713542400000

endTime

NUMERIC

End time in milliseconds

1713628800000

limit is required.

CURL Example
curl -X GET "https://api.pointpay.io/fapi/v1/private/trade/orders-history?symbol=BTCUSDT&limit=20&startTime=1713542400000&endTime=1713628800000" \
  -H "accept: application/json" \
  -H "X-TXC-APIKEY: <api-key>" \
  -H "X-TXC-PAYLOAD: <base64-payload>" \
  -H "X-TXC-SIGNATURE: <signature>"

Response parameters:

response contains:

Name
Type
Description

nextPageCursor

STRING

Cursor for next page

category

STRING

Product category

list

ARRAY

Order history records

Each item in list contains:

Name
Type
Description

symbol

STRING

Trading pair

orderType

STRING

Order type

orderLinkId

STRING

Client order ID

slLimitPrice

STRING

Stop-loss limit price

orderId

STRING

Order ID

cancelType

STRING

Cancel type

avgPrice

STRING

Average executed price

stopOrderType

STRING

Stop order type

lastPriceOnCreated

STRING

Last price at creation time

orderStatus

STRING

Order status

createType

STRING

Order creation source

takeProfit

STRING

Take-profit price

cumExecValue

STRING

Cumulative executed value

tpslMode

STRING

TP/SL mode

smpType

STRING

Self-match prevention type

triggerDirection

INTEGER

Trigger direction

blockTradeId

STRING

Block trade ID

cumFeeDetail

OBJECT

Cumulative fee details by currency

rejectReason

STRING

Reject reason

isLeverage

STRING

Leverage mode flag

price

STRING

Order price

orderIv

STRING

Implied volatility

createdTime

STRING

Order creation time in milliseconds

tpTriggerBy

STRING

Take-profit trigger source

positionIdx

INTEGER

Position index

timeInForce

STRING

Time in force

leavesValue

STRING

Remaining order value

updatedTime

STRING

Last update time in milliseconds

side

STRING

Order side

smpGroup

INTEGER

Self-match prevention group

triggerPrice

STRING

Trigger price

tpLimitPrice

STRING

Take-profit limit price

cumExecFee

STRING

Cumulative executed fee

slTriggerBy

STRING

Stop-loss trigger source

leavesQty

STRING

Remaining quantity

closeOnTrigger

BOOLEAN

Close-on-trigger flag

slippageToleranceType

STRING

Slippage tolerance type

placeType

STRING

Placement type

cumExecQty

STRING

Cumulative executed quantity

reduceOnly

BOOLEAN

Reduce-only flag

qty

STRING

Order quantity

stopLoss

STRING

Stop-loss price

smpOrderId

STRING

Self-match prevention order ID

parentOrderLinkId

STRING

Parent client order ID

slippageTolerance

STRING

Slippage tolerance value

triggerBy

STRING

Trigger price source

extraFees

STRING

Extra fees

feeCurrency

STRING

Fee currency

cumExecFeeBase

STRING

Executed fee in base terms

cumExecFeeSystem

STRING

System fee amount

baseCoin

STRING

Base coin

quoteCoin

STRING

Quote coin

priceScale

STRING

Price precision scale

Response example:

Response example

Returned when the request is invalid.

Common reasons:

  • Invalid request format

  • Invalid headers

Response example

Returned when authentication headers are missing / invalid or API Keys are not enabled.

Last updated